org.keycloak.models.sessions.infinispan

## Class InfinispanAuthenticationSessionProviderFactory

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.InfinispanAuthenticationSessionProviderFactory

- All Implemented Interfaces:
    ProviderFactory<AuthenticationSessionProvider>, AuthenticationSessionProviderFactory

      public class InfinispanAuthenticationSessionProviderFactory
      extends Object
      implements AuthenticationSessionProviderFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHENTICATION_SESSION_EVENTS`
    `static String` | `CLIENT_REMOVED_AUTHSESSION_EVENT`
    `static String` | `PROVIDER_ID`
    `static String` | `REALM_REMOVED_AUTHSESSION_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanAuthenticationSessionProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `AuthenticationSessionProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `protected void` | `registerClusterListeners(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_SESSION_EVENTS

          public static final String AUTHENTICATION_SESSION_EVENTS

      See Also:
        Constant Field Values

    - #### REALM_REMOVED_AUTHSESSION_EVENT

          public static final String REALM_REMOVED_AUTHSESSION_EVENT

      See Also:
        Constant Field Values

    - #### CLIENT_REMOVED_AUTHSESSION_EVENT

          public static final String CLIENT_REMOVED_AUTHSESSION_EVENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfinispanAuthenticationSessionProviderFactory

          public InfinispanAuthenticationSessionProviderFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<AuthenticationSessionProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<AuthenticationSessionProvider>`

    - #### registerClusterListeners

          protected void registerClusterListeners(KeycloakSession session)

    - #### create

          public AuthenticationSessionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<AuthenticationSessionProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<AuthenticationSessionProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<AuthenticationSessionProvider>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.